umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
PetalNode::StringOrNode Struct Reference

`#include <petalnode.h>`

## Public Member Functions
| StringOrNode ()
virtual | ~StringOrNode ()
bool | isEmpty () const

## Public Attributes
QString | string
PetalNode * | node

## Detailed Description

Use `string' if it is not empty. Use `node' if it is not NULL. Either `string' is set, or `node', but never both. (Perhaps this should be a union but that is ugly.)

## Constructor & Destructor Documentation

## ◆ StringOrNode()

PetalNode::StringOrNode::StringOrNode | ( |  | ) |
| inline

## ◆ ~StringOrNode()

virtual PetalNode::StringOrNode::~StringOrNode | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ isEmpty()

bool PetalNode::StringOrNode::isEmpty | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ node

PetalNode* PetalNode::StringOrNode::node

## ◆ string

QString PetalNode::StringOrNode::string

The documentation for this struct was generated from the following file:

- umbrello/petalnode.h